This site contains the documentation for the OpenSimula project. Github site

`OpenSimula` is a component-based time simulation environment in Python.

The main objective is the thermal and energy simulation of different systems and installations, mainly in buildings, although it can be used to simulate any component that presents a temporal variation.

### Structure

The general object structure provided by OpenSimula is composed of three main elements:

- Simulation: The global environment for simulation.
- Project: A set of components that define a problem that can be temporarily simulated.
- Component: These are the base elements on which the simulation is performed. The types of components currently available can be consulted in section Component list.

### Parameters

Parameters are used to define the characteristics that make up the projects and components.

Parameters can be of different types depending on the type of information they contain (strings, boolean, integer, float, options, ...). A list of all parameter types and their possibilities can be found in the User guide. :

### Variables

Variables are elements included in the components to store the temporal information generated during the simulation.

## Documentation

1. Getting started
2. User guide
3. Component list
4. Developer guide

## Release notes

This is the list of changes to OpenSimula between each release. For full details, see the commit logs.

Version 0.2

- 0.2.0 (January 1, 2025): First implementation for the building definition components and the HVAC_perfect_system
- 0.2.1 (January 24, 2025): Implementation HVAC_DX_system and HVAC_DX_equipment

© JFC 2025

#### Search

From here you can search these documents. Enter your search terms below.

#### Keyboard Shortcuts

Keys | Action
--- | ---
`?` | Open this help
`n` | Next page
`p` | Previous page
`s` | Search